<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="AuthenticateUser"
   SelectList="Employees.EMPLOYEE_ID, 
       Employees.LAST_NAME, 
       Employees.DEPARTMENT_ID"
   FromList="EMPLOYEES Employees"
   Where="EMPLOYEE_ID=:1 AND LAST_NAME=:2"
   BindingStyle="Oracle"
   CustomQuery="false"
   ComponentClass="model.AuthenticateUserImpl"
   MsgBundleClass="oracle.jbo.common.JboResourceBundle"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_version" Value="9.0.5.15.88" />
      <Attr Name="_codeGenFlag2" Value="Access|Coll" />
      <Attr Name="_isExpertMode" Value="false" />
   </DesignTime>
   <EntityUsage
      Name="Employees"
      Entity="model.Employees" >
      <DesignTime>
         <Attr Name="_EntireObjectTable" Value="false" />
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryWhere" Value="EMPLOYEE_ID=:1 AND LAST_NAME=:2" />
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="EmployeeId"
      IsNotNull="true"
      PrecisionRule="true"
      EntityAttrName="EmployeeId"
      EntityUsage="Employees"
      AliasName="EMPLOYEE_ID" >
   </ViewAttribute>
   <ViewAttribute
      Name="LastName"
      IsNotNull="true"
      PrecisionRule="true"
      EntityAttrName="LastName"
      EntityUsage="Employees"
      AliasName="LAST_NAME" >
   </ViewAttribute>
   <ViewAttribute
      Name="DepartmentId"
      PrecisionRule="true"
      EntityAttrName="DepartmentId"
      EntityUsage="Employees"
      AliasName="DEPARTMENT_ID" >
   </ViewAttribute>
</ViewObject>
